# json_dataset_tool

## usage

`json_data_tool --api_key <your Geckoboard API key> --id <the Dataset ID> --<option> <file>`

where `option` is one of `create`, `update`, or `delete`.

### `--delete`

Deletes a Dataset.

### `--create <file>`

Creates a Dataset.

Expects a file that defines a Geckoboard Dataset schema, like this:

```
{
  "buildtime": { "type": "number", "name": "Time in ms of builds" },
  "datetime": { "type": "datetime", "name": "Datetime of build" },
  "app": { "type": "string", "name": "App name" }
}
```

### `--update <file>`

Replaces the data, or sends for the first time, data to the Dataset

expects a file that supplies a Geckoboard Dataset body, like this:

```
[
  {
    "buildtime": 100,
    "datetime": "2016-09-09T18:43:55-10:00",
    "app": "supercool"
  }
]
```
